commit:     0ded5d88b1b3ba0446e23bc0296ebe675a45b62a
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 17 08:58:54 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Tue Nov 17 09:09:41 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0ded5d88

app-admin/ansible: Fix man page generation for current HEAD

thanks Lik reporting this issue

Package-Manager: portage-2.2.23
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 app-admin/ansible/ansible-9999.ebuild | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

diff --git a/app-admin/ansible/ansible-9999.ebuild 
b/app-admin/ansible/ansible-9999.ebuild
index 175ebc5..4284a69 100644
--- a/app-admin/ansible/ansible-9999.ebuild
+++ b/app-admin/ansible/ansible-9999.ebuild
@@ -6,7 +6,7 @@ EAPI=5
 
 PYTHON_COMPAT=( python2_7 )
 
-inherit distutils-r1 git-r3 readme.gentoo
+inherit distutils-r1 eutils git-r3 readme.gentoo
 
 DESCRIPTION="Radically simple deployment, model-driven configuration 
management, and command execution framework"
 HOMEPAGE="http://ansible.com/";
@@ -43,6 +43,13 @@ python_test() {
        nosetests -d -w test/units -v --with-coverage --cover-package=ansible 
--cover-branches || die
 }
 
+python_compile_all() {
+       local _man
+       for _man in ansible{,-{galaxy,playbook,pull,vault}}; do
+               a2x -f manpage docs/man/man1/${_man}.1.asciidoc.in || die 
"Failed generating man page (${_man})"
+       done
+}
+
 python_install_all() {
        EXAMPLES=( examples )
        distutils-r1_python_install_all

Reply via email to